Source: haskell-snap-core
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Kiwamu Okabe <kiwamu@debian.or.jp>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.8),
 cdbs,
 ghc (>= 8.4.3),
 ghc-prof,
 libghc-hunit-dev (>= 1.2),
 libghc-hunit-dev (<< 2),
 libghc-hunit-prof (>= 1.2),
 libghc-hunit-prof (<< 2),
 libghc-attoparsec-dev (>= 0.12),
 libghc-attoparsec-dev (<< 0.14),
 libghc-attoparsec-prof (>= 0.12),
 libghc-attoparsec-prof (<< 0.14),
 libghc-case-insensitive-dev (>= 1.1),
 libghc-case-insensitive-dev (<< 1.3),
 libghc-case-insensitive-prof (>= 1.1),
 libghc-case-insensitive-prof (<< 1.3),
 libghc-hashable-dev (>= 1.2.0.6),
 libghc-hashable-dev (<< 1.4),
 libghc-hashable-prof,
 libghc-io-streams-dev (>= 1.3),
 libghc-io-streams-dev (<< 1.6),
 libghc-io-streams-prof,
 libghc-lifted-base-dev (>= 0.1),
 libghc-lifted-base-dev (<< 0.3),
 libghc-lifted-base-prof (>= 0.1),
 libghc-lifted-base-prof (<< 0.3),
 libghc-monad-control-dev (>= 1.0),
 libghc-monad-control-dev (<< 1.1),
 libghc-monad-control-prof (>= 1.0),
 libghc-monad-control-prof (<< 1.1),
 libghc-network-dev (>= 2.6),
 libghc-network-dev (<< 3.2),
 libghc-network-prof,
 libghc-network-uri-dev (>= 2.6),
 libghc-network-uri-dev (<< 2.7),
 libghc-network-uri-prof (>= 2.6),
 libghc-network-uri-prof (<< 2.7),
 libghc-old-locale-dev (>= 1),
 libghc-old-locale-dev (<< 2),
 libghc-old-locale-prof (>= 1),
 libghc-old-locale-prof (<< 2),
 libghc-random-dev (>= 1),
 libghc-random-dev (<< 2),
 libghc-random-prof (>= 1),
 libghc-random-prof (<< 2),
 libghc-readable-dev (>= 0.1),
 libghc-readable-dev (<< 0.4),
 libghc-readable-prof (>= 0.1),
 libghc-readable-prof (<< 0.4),
 libghc-regex-posix-dev (>= 0.95),
 libghc-regex-posix-dev (<< 1),
 libghc-regex-posix-prof (>= 0.95),
 libghc-regex-posix-prof (<< 1),
 libghc-transformers-base-dev (>= 0.4),
 libghc-transformers-base-dev (<< 0.5),
 libghc-transformers-base-prof (>= 0.4),
 libghc-transformers-base-prof (<< 0.5),
 libghc-unix-compat-dev (>= 0.3),
 libghc-unix-compat-dev (<< 0.6),
 libghc-unix-compat-prof,
 libghc-unordered-containers-dev (>= 0.1.4.3),
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-prof (>= 0.1.4.3),
 libghc-unordered-containers-prof (<< 0.3),
 libghc-vector-dev (>= 0.6),
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof (>= 0.6),
 libghc-vector-prof (<< 0.13),
 libghc-hunit-dev,
 libghc-quickcheck2-dev (>= 2.3.0.2),
 libghc-quickcheck2-dev (<< 3),
 libghc-attoparsec-dev,
 libghc-case-insensitive-dev,
 libghc-hashable-dev,
 libghc-io-streams-dev,
 libghc-lifted-base-dev,
 libghc-monad-control-dev,
 libghc-parallel-dev (>= 3),
 libghc-parallel-dev (<< 4),
 libghc-random-dev,
 libghc-readable-dev,
 libghc-regex-posix-dev,
 libghc-test-framework-dev (>= 0.8.0.3),
 libghc-test-framework-dev (<< 0.9),
 libghc-test-framework-hunit-dev (>= 0.2.7),
 libghc-test-framework-hunit-dev (<< 0.4),
 libghc-test-framework-quickcheck2-dev (>= 0.2.12.1),
 libghc-test-framework-quickcheck2-dev (<< 0.4),
 libghc-transformers-base-dev,
 libghc-unix-compat-dev,
 libghc-unordered-containers-dev,
 libghc-vector-dev,
 libghc-zlib-dev (>= 0.5),
 libghc-zlib-dev (<< 0.7),
Build-Depends-Indep: ghc-doc,
 libghc-hunit-doc,
 libghc-attoparsec-doc,
 libghc-case-insensitive-doc,
 libghc-hashable-doc,
 libghc-io-streams-doc,
 libghc-lifted-base-doc,
 libghc-monad-control-doc,
 libghc-network-doc,
 libghc-network-uri-doc,
 libghc-old-locale-doc,
 libghc-random-doc,
 libghc-readable-doc,
 libghc-regex-posix-doc,
 libghc-transformers-base-doc,
 libghc-unix-compat-doc,
 libghc-unordered-containers-doc,
 libghc-vector-doc,
Standards-Version: 4.5.0
Homepage: http://snapframework.com/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-snap-core
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-snap-core]

Package: libghc-snap-core-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Snap: A Haskell Web Framework (Core)
 Snap is a simple and fast web development framework and server written in
 Haskell. For more information or to download the latest version, you can
 visit the Snap project website at <http://snapframework.com/>.
 .
 This library contains the core definitions and types for the Snap framework,
 including:
 .
 1. Primitive types and functions for HTTP (requests, responses, cookies,
 post/query parameters, etc)
 .
 2. Type aliases and helper functions for Iteratee I/O
 .
 3. A monad for programming web handlers called \"Snap\", inspired by
 happstack's (<http://happstack.com/index.html>), which allows:
 .
 o Stateful access to the HTTP request and response objects
 .
 o Monadic failure (i.e. MonadPlus/Alternative instances) for declining
 to handle requests and chaining handlers together
 .
 o Early termination of the computation if you know early what you want
 to return and want to prevent further monadic processing
 .
 This package contains the normal library files.

Package: libghc-snap-core-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: Snap: A Haskell Web Framework (Core); profiling libraries
 Snap is a simple and fast web development framework and server written in
 Haskell. For more information or to download the latest version, you can
 visit the Snap project website at <http://snapframework.com/>.
 .
 This library contains the core definitions and types for the Snap framework,
 including:
 .
 1. Primitive types and functions for HTTP (requests, responses, cookies,
 post/query parameters, etc)
 .
 2. Type aliases and helper functions for Iteratee I/O
 .
 3. A monad for programming web handlers called \"Snap\", inspired by
 happstack's (<http://happstack.com/index.html>), which allows:
 .
 o Stateful access to the HTTP request and response objects
 .
 o Monadic failure (i.e. MonadPlus/Alternative instances) for declining
 to handle requests and chaining handlers together
 .
 o Early termination of the computation if you know early what you want
 to return and want to prevent further monadic processing
 .
 This package contains the libraries compiled with profiling enabled.

Package: libghc-snap-core-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: Snap: A Haskell Web Framework (Core); documentation
 Snap is a simple and fast web development framework and server written in
 Haskell. For more information or to download the latest version, you can
 visit the Snap project website at <http://snapframework.com/>.
 .
 This library contains the core definitions and types for the Snap framework,
 including:
 .
 1. Primitive types and functions for HTTP (requests, responses, cookies,
 post/query parameters, etc)
 .
 2. Type aliases and helper functions for Iteratee I/O
 .
 3. A monad for programming web handlers called \"Snap\", inspired by
 happstack's (<http://happstack.com/index.html>), which allows:
 .
 o Stateful access to the HTTP request and response objects
 .
 o Monadic failure (i.e. MonadPlus/Alternative instances) for declining
 to handle requests and chaining handlers together
 .
 o Early termination of the computation if you know early what you want
 to return and want to prevent further monadic processing
 .
 This package contains the documentation files.
